org.crosswire.bibledesktop.desktop

## Class AboutPane

- java.lang.Object
- - org.crosswire.bibledesktop.desktop.AboutPane

-     public class AboutPane
      extends Object

  AboutPane is a window that contains various advanced user tools in one place.
  Author:
    Joe Walker
  See Also:
    `for license details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static boolean` | `advanced`
    `private JDialog` | `dlgMain`
    `private JPanel` | `pnlMain`
    `private static String` | `SPLASH_FONT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AboutPane()` Basic constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAboutOK()` Close this dialog
    `private void` | `init()` Build the GUI components
    `static boolean` | `isAdvanced()`
    `static void` | `setAdvanced(boolean advanced)`
    `void` | `showInDialog(Component parent)` A method to be exposed by our children

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPLASH_FONT

          private static final String SPLASH_FONT

      See Also:
        Constant Field Values

    - #### advanced

          private static boolean advanced

    - #### dlgMain

          private JDialog dlgMain

    - #### pnlMain

          private JPanel pnlMain

  - ### Constructor Detail

    - #### AboutPane

          public AboutPane()

      Basic constructor

  - ### Method Detail

    - #### init

          private void init()

      Build the GUI components

    - #### doAboutOK

          public void doAboutOK()

      Close this dialog

    - #### showInDialog

          public void showInDialog(Component parent)

      A method to be exposed by our children
      Parameters:
        `parent` - The component to which to attach the new dialog

    - #### isAdvanced

          public static boolean isAdvanced()

      Returns:
        Returns whether the window should show an advanced view.

    - #### setAdvanced

          public static void setAdvanced(boolean advanced)

      Parameters:
        `advanced` - Turn on an advanced view of the window.